document.addEventListener('DOMContentLoaded', function () {
    checkServerStatus("https://windelweb.org", "status-windelweb");
    checkServerStatus("https://app.windelgeschichten.org", "status-app-windelgeschichten");
    checkServerStatus("https://www.windelgeschichten.org", "status-windelgeschichten");
    checkServerStatus("https://windelweb.org/Helpdesk/", "status-m-viper");
  });
  
  function checkServerStatus(url, statusElementId) {
    fetch(url)
      .then(response => {
        var statusElement = document.getElementById(statusElementId);
        if (response.status === 200) {
          statusElement.textContent = 'Online';
          statusElement.style.color = '#00FF00'; // Grün für online
        } else {
          statusElement.textContent = 'Offline';
          statusElement.style.color = '#FF0000'; // Rot für offline
        }
      })
      .catch(error => {
        var statusElement = document.getElementById(statusElementId);
        statusElement.textContent = 'Offline';
        statusElement.style.color = '#FF0000'; // Rot für offline
      });
  }
  